Font::TTF::Features::Sset(3)

NAME
Font::TTF::Features::Sset - Class for Stylistic Set Feature Parameters

DESCRIPTION
Handles the Feature Parameters valus for Stylistic Sets

INSTANCE VARIABLES

INFILE
    The read file handle

OFFSET
    Location of the file in the input file

Version
    The minor version number, currently always 0

UINameID
    The 'name' table name ID that specifies a string (or strings, for multiple languages) for a user-interface label for this feature

METHODS

  $t->read
Reads the Feature Params

  $t->out($fh)
Writes the FeatureParams table to the output

  Font::TTF::Features::Sset->new()
Creates a new FeatureParams object. Values for INFILE and OFFSET canbe passed as parameters

AUTHOR
David Raymond <http://scripts.sil.org/FontUtils>.

LICENSING
Copyright (c) 1998-2016, SIL International (http://www.sil.org)

This module is released under the terms of the Artistic License 2.0. For details, see the full text of the license in the file LICENSE.